# CPDCTRL
A interactive command-line utility for measuring CPD (contact potential difference).

To run it, launch **Powershell**, activate the python virtual environment and then run the script with `ipython`
```ps1
cd cpdctrl
.\venv\Scripts\Activate.ps1
ipython -i .\cpdctrl\cpdctrl\cpdctrl-interactive.py
```

## Devices
Currently requires 
- *Keithley 2700 SMU* for measuring the voltage (CPD)
- *Arduino Nano* connected to a *Thorlabs LEDD1B* for controlling the light source (LED)

